var tabla;

//funcion que se ejecuta al inicio
function init(){

   listar();
    //cargamos los items al select cliente
  /*  $.post("controladores/fisioterapeutaControlador.php?op=selectFisioterapeuta", function(r){
   	$("#idfisioterapeuta").html(r);
   	$('#idfisioterapeuta').selectpicker('refresh');
   }); */

   $.post("controladores/ventanControlador.php?op=selectClienteCita", function(r){
    $("#idcliente").html(r);
    $("#idcliente").val(0);
    $('#idcliente').selectpicker('refresh');
	});

	$("#fecha_inicio").change(function(){
		listar();
	});
	
	$("#fecha_fin").change(function(){
		listar();
	});

	$("#idcliente").change(function(){
		listar();
	});

}
//controladores/ventaControlador.php

//funcion listar
function listar(){
var fecha_inicio       = $("#fecha_inicio").val();
var fecha_fin          = $("#fecha_fin").val();
var idpaciente         = $("#idcliente").val();

	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=citasporfechaypaciente',
			method: 'post',
			data: {
				fecha_inicio  : fecha_inicio,
				fecha_fin	  :	fecha_fin,
				idpaciente    :	idpaciente,
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
			var tactual	= api.column(3, {page:'current'}).data().sum();
			var total	= api.column(3).data().sum();
			tactual		= number_format(tactual*1,2);
			total		= number_format(total*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(2).footer()).html('Total:');
			$(api.column(3).footer()).html(total);
	  	}, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"asc"]]//ordenar (columna, orden) asc
	}).DataTable();


}


init();  